# Core

This package provides general assets and styles for UCDS web components. It also includes the **BaseElement** web component that all UCDS web components extend.

## Installation

Install the component using npm:

```sh
npm install @ucalgary-design-system/button
```

## Usage

Import the component into your application:

```ts
import '@ucalgary-design-system/core';
```

When creating a new component, ensure that it extends the BaseElement.
For example: 
```ts
@customElement('ucds-my-component')
export class MyComponent extends BaseElement { }
```

## Development

Build the component:

```sh
npm run build
```